## org.apache.mahout.math.stats
Class TDigest.Group

    java.lang.Object
      org.apache.mahout.math.stats.TDigest.Group

All Implemented Interfaces:
  Comparable<TDigest.Group>

Enclosing class:
  TDigest

    public static class TDigest.Group

extends Object
implements Comparable<TDigest.Group>

Constructor Summary
`TDigest.Group(double x)`
`TDigest.Group(double x, int id)`
`TDigest.Group(double x, int id, boolean record)`

Method Summary
`void` `add(double x, int w)`
`int` `compareTo(TDigest.Group o)`
`int` `count()`
`static TDigest.Group` `createWeighted(double x, int w, Iterable<? extends Double> data)`
`Iterable<? extends Double>` `data()`
`int` `hashCode()`
`int` `id()`
`double` `mean()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TDigest.Group

    public TDigest.Group(double x)

### TDigest.Group

    public TDigest.Group(double x,
                         int id)

### TDigest.Group

    public TDigest.Group(double x,
                         int id,
                         boolean record)

Method Detail

### add

    public void add(double x,
                    int w)

### mean

    public double mean()

### count

    public int count()

### id

    public int id()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### compareTo

    public int compareTo(TDigest.Group o)

  Specified by:
    `compareTo` in interface `Comparable<TDigest.Group>`

### data

    public Iterable<? extends Double> data()

### createWeighted

    public static TDigest.Group createWeighted(double x,
                                               int w,
                                               Iterable<? extends Double> data)

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.